{
    "name": "升級",
    "icon": "pneumaticcraft:volume_upgrade",
    "category": "pneumaticcraft:base_concepts",
    "pages": [
        {
            "type": "text",
            "text": "$(thing)升級/$ 是可製作的物品，可以插入到機器和某些工具中，以某種方式增強其功能。要向工具添加升級，您需要一個 $(l:machines/charging_station)充電站/$。$(p)每個升級的具體效果因裝置而異；可以在機器的 GUI 中檢視，或者（對於物品）在充電站的升級 GUI 中檢視。"
        },
        {
            "type": "crafting",
            "anchor": "volume",
            "recipe": "pneumaticcraft:volume_upgrade",
            "text": "製作體積升級"
        },
        {
            "type": "crafting",
            "anchor": "dispenser",
            "recipe": "pneumaticcraft:dispenser_upgrade",
            "text": "製作投放器升級"
        },
        {
            "type": "crafting",
            "anchor": "inventory",
            "recipe": "pneumaticcraft:inventory_upgrade",
            "text": "製作庫存升級"
        },
        {
            "type": "crafting",
            "anchor": "item_life",
            "recipe": "pneumaticcraft:item_life_upgrade",
            "text": "製作物品壽命升級"
        },
        {
            "type": "crafting",
            "anchor": "entity_tracker",
            "recipe": "pneumaticcraft:entity_tracker_upgrade",
            "text": "製作實體追蹤器升級"
        },
        {
            "type": "crafting",
            "anchor": "block_tracker",
            "recipe": "pneumaticcraft:block_tracker_upgrade",
            "text": "製作方塊追蹤器升級"
        },
        {
            "type": "crafting",
            "anchor": "speed",
            "recipe": "pneumaticcraft:speed_upgrade",
            "text": "製作速度升級$(p)$(bold)提示：/$ 您還可以使用 $(l:machines/liquid_hopper)液體漏斗/$（或其他模組的儲罐）和 $(l:components/lubricant)潤滑劑/$ 一次製作多個升級！"
        },
        {
            "type": "crafting",
            "anchor": "speed2",
            "recipe": "pneumaticcraft:speed_upgrade_from_glycerol",
            "text": "從 $(l:renewables/glycerol)甘油/$ 製作速度升級"
        },
        {
            "type": "crafting",
            "anchor": "search",
            "recipe": "pneumaticcraft:search_upgrade",
            "text": "製作搜尋升級"
        },
        {
            "type": "crafting",
            "anchor": "coordinate_tracker",
            "recipe": "pneumaticcraft:coordinate_tracker_upgrade",
            "text": "製作座標追蹤器升級"
        },
        {
            "type": "crafting",
            "anchor": "range",
            "recipe": "pneumaticcraft:range_upgrade",
            "text": "製作範圍升級"
        },
        {
            "type": "crafting",
            "anchor": "security",
            "recipe": "pneumaticcraft:security_upgrade",
            "text": "製作安全升級"
        },
        {
            "type": "crafting",
            "anchor": "magnet",
            "recipe": "pneumaticcraft:magnet_upgrade",
            "text": "製作磁鐵升級"
        },
        {
            "type": "crafting",
            "anchor": "thaumcraft",
            "flag": "mod:thaumcraft",
            "recipe": "pneumaticcraft:thaumcraft_upgrade",
            "text": "製作魔法工藝升級"
        },
        {
            "type": "crafting",
            "anchor": "charging",
            "recipe": "pneumaticcraft:charging_upgrade",
            "text": "製作充電升級"
        },
        {
            "type": "crafting",
            "anchor": "armor",
            "recipe": "pneumaticcraft:armor_upgrade",
            "text": "製作護甲升級"
        },
        {
            "type": "crafting",
            "anchor": "jet_boots_1",
            "recipe": "pneumaticcraft:jet_boots_upgrade_1",
            "text": "製作噴氣靴升級：一級"
        },
        {
            "type": "crafting",
            "anchor": "jet_boots_2",
            "recipe": "pneumaticcraft:jet_boots_upgrade_2",
            "text": "製作噴氣靴升級：二級"
        },
        {
            "type": "crafting",
            "anchor": "jet_boots_3",
            "recipe": "pneumaticcraft:jet_boots_upgrade_3",
            "text": "製作噴氣靴升級：三級"
        },
        {
            "type": "crafting",
            "anchor": "jet_boots_4",
            "recipe": "pneumaticcraft:jet_boots_upgrade_4",
            "text": "製作噴氣靴升級：四級"
        },
        {
            "type": "crafting",
            "anchor": "jet_boots_5",
            "recipe": "pneumaticcraft:jet_boots_upgrade_5",
            "text": "製作噴氣靴升級：五級"
        },
        {
            "type": "crafting",
            "anchor": "jumping_1",
            "recipe": "pneumaticcraft:jumping_upgrade_1",
            "text": "製作跳躍升級：一級"
        },
        {
            "type": "crafting",
            "anchor": "jumping_2",
            "recipe": "pneumaticcraft:jumping_upgrade_2",
            "text": "製作跳躍升級：二級"
        },
        {
            "type": "crafting",
            "anchor": "jumping_3",
            "recipe": "pneumaticcraft:jumping_upgrade_3",
            "text": "製作跳躍升級：三級"
        },
        {
            "type": "crafting",
            "anchor": "jumping_4",
            "recipe": "pneumaticcraft:jumping_upgrade_4",
            "text": "製作跳躍升級：四級"
        },
        {
            "type": "crafting",
            "anchor": "night_vision",
            "recipe": "pneumaticcraft:night_vision_upgrade",
            "text": "製作夜視升級"
        },
        {
            "type": "crafting",
            "anchor": "scuba",
            "recipe": "pneumaticcraft:scuba_upgrade",
            "text": "製作水肺升級"
        },
        {
            "type": "crafting",
            "anchor": "flippers",
            "recipe": "pneumaticcraft:flippers_upgrade",
            "text": "製作鰭升級"
        },
        {
            "type": "crafting",
            "anchor": "standby",
            "recipe": "pneumaticcraft:standby_upgrade",
            "text": "製作待機升級"
        },
        {
            "type": "crafting",
            "anchor": "minigun",
            "recipe": "pneumaticcraft:minigun_upgrade",
            "text": "製作迷你槍升級"
        },
        {
            "type": "crafting",
            "flag": "mod:toughasnails",
            "anchor": "air_conditioning",
            "recipe": "pneumaticcraft:air_conditioning_upgrade",
            "text": "製作空調升級"
        },
        {
            "type": "crafting",
            "flag": "mod:mekanism",
            "anchor": "radiation_shielding",
            "recipe": "pneumaticcraft:radiation_shielding_upgrade",
            "text": "製作輻射防護升級"
        },
        {
            "type": "crafting",
            "anchor": "gilded",
            "recipe": "pneumaticcraft:gilded_upgrade",
            "text": "製作鍍金升級"
        },
        {
            "type": "crafting",
            "anchor": "ender_visor",
            "recipe": "pneumaticcraft:ender_visor_upgrade",
            "text": "製作終界護目鏡升級"
        },
        {
            "type": "crafting",
            "anchor": "stomp",
            "recipe": "pneumaticcraft:stomp_upgrade",
            "text": "製作踩踏升級"
        },
        {
            "type": "crafting",
            "anchor": "chunkloader",
            "recipe": "pneumaticcraft:chunkloader_upgrade",
            "text": "製作區塊載入器升級"
        }
    ]
}